> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apilens.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Passkey Register Verify



## OpenAPI

````yaml https://api.apilens.ai/api/v1/openapi.json post /api/v1/auth/passkey/register/verify
openapi: 3.1.0
info:
  title: APILens API
  version: 1.0.0
  description: API Observability Platform
servers: []
security: []
paths:
  /api/v1/auth/passkey/register/verify:
    post:
      tags:
        - Auth
      summary: Passkey Register Verify
      operationId: api_auth_router_passkey_register_verify
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PasskeyRegistrationVerifyRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageResponse'
      security:
        - JWTBearer: []
components:
  schemas:
    PasskeyRegistrationVerifyRequest:
      properties:
        credential:
          additionalProperties: true
          title: Credential
          type: object
        challenge:
          title: Challenge
          type: string
        device_name:
          anyOf:
            - type: string
            - type: 'null'
          default: Unnamed Device
          title: Device Name
      required:
        - credential
        - challenge
      title: PasskeyRegistrationVerifyRequest
      type: object
    MessageResponse:
      properties:
        message:
          title: Message
          type: string
      required:
        - message
      title: MessageResponse
      type: object
  securitySchemes:
    JWTBearer:
      type: http
      scheme: bearer

````